Skip Menu |
 

This queue is for tickets about the Perl-MinimumVersion CPAN distribution.

Report information
The Basics
Id: 81487
Status: resolved
Priority: 0/
Queue: Perl-MinimumVersion

People
Owner: Nobody in particular
Requestors: paul [...] city-fan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 1.30

Attachments


Subject: t/02_main.t failing with 5.8.8 .. 5.10.1
Download (untitled) / with headers
text/plain 960b
Building for a variety of perls, I find that t/02_main.t is failing for me with 5.8.8 .. 5.10.1, like this: t/02_main................ # Failed test '$^E + $!' # in t/02_main.t at line 22. # got: '5.008.003' # expected: '5.008003' # Failed test 'use feature :5.10 along with newer feature' # in t/02_main.t at line 22. # got: '5.012' # expected: '5.12.0' # Failed test '\z along with newer feature' # in t/02_main.t at line 22. # got: '5.006' # expected: '5.006.0' # Failed test '2-arg binmode with utf' # in t/02_main.t at line 22. # got: '5.008' # expected: '5.8.0' # Looks like you failed 4 tests of 119. dubious Test returned status 4 (wstat 1024, 0x400) DIED. FAILED tests 74, 91, 97, 112 Failed 4/119 tests, 96.64% okay The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm using "version" 0.99 in all cases. All other tests seem to pass without issues.
Subject: t/02_main.t failing with 5.8.8 .. 5.10.1 in Perl::MinimumVersion 1.29
From: paul [...] city-fan.org
Download (untitled) / with headers
text/plain 1.1k
On Tue Nov 27 16:48:51 2012, paul@city-fan.org wrote: Show quoted text
> Building for a variety of perls, I find that t/02_main.t is failing for > me with 5.8.8 .. 5.10.1, like this: > > t/02_main................ > # Failed test '$^E + $!' > # in t/02_main.t at line 22. > # got: '5.008.003' > # expected: '5.008003' > # Failed test 'use feature :5.10 along with newer feature' > # in t/02_main.t at line 22. > # got: '5.012' > # expected: '5.12.0' > # Failed test '\z along with newer feature' > # in t/02_main.t at line 22. > # got: '5.006' > # expected: '5.006.0' > # Failed test '2-arg binmode with utf' > # in t/02_main.t at line 22. > # got: '5.008' > # expected: '5.8.0' > # Looks like you failed 4 tests of 119. > dubious > Test returned status 4 (wstat 1024, 0x400) > DIED. FAILED tests 74, 91, 97, 112 > Failed 4/119 tests, 96.64% okay > > The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm > using "version" 0.99 in all cases. > > All other tests seem to pass without issues.
Forgot to mention, this is with Perl::MinimumVersion 1.29.
Download (untitled) / with headers
text/plain 432b
On Tue Nov 27 16:48:51 2012, paul@city-fan.org wrote: Show quoted text
> Building for a variety of perls, I find that t/02_main.t is failing for > me with 5.8.8 .. 5.10.1, like this:
Show quoted text
> The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm > using "version" 0.99 in all cases.
I'm unable to replicate it on 5.8.9/Win32 and 5.10.1/Linux. Which OS do you use? Do same tests fail or different? -- Alexandr Ciornii, http://chorny.net
From: paul [...] city-fan.org
Download (untitled) / with headers
text/plain 695b
On Tue Nov 27 20:02:30 2012, CHORNY wrote: Show quoted text
> On Tue Nov 27 16:48:51 2012, paul@city-fan.org wrote:
> > Building for a variety of perls, I find that t/02_main.t is failing for > > me with 5.8.8 .. 5.10.1, like this:
>
> > The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm > > using "version" 0.99 in all cases.
> > I'm unable to replicate it on 5.8.9/Win32 and 5.10.1/Linux. > > Which OS do you use? Do same tests fail or different?
These are all on Fedora and Red Hat Enterprise Linux. The failures are happening on Fedora releases 5 (5.8.8) to 13 (5.10.1) and Red Hat Enterprise Linux 5 and 6 (same perl versions I think). Same tests failing in the same way each time.
From: paul [...] city-fan.org
Download (untitled) / with headers
text/plain 995b
On Wed Nov 28 02:51:38 2012, paul@city-fan.org wrote: Show quoted text
> On Tue Nov 27 20:02:30 2012, CHORNY wrote:
> > On Tue Nov 27 16:48:51 2012, paul@city-fan.org wrote:
> > > Building for a variety of perls, I find that t/02_main.t is
failing for Show quoted text
> > > me with 5.8.8 .. 5.10.1, like this:
> >
> > > The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm > > > using "version" 0.99 in all cases.
> > > > I'm unable to replicate it on 5.8.9/Win32 and 5.10.1/Linux. > > > > Which OS do you use? Do same tests fail or different?
> > These are all on Fedora and Red Hat Enterprise Linux. The failures are > happening on Fedora releases 5 (5.8.8) to 13 (5.10.1) and Red Hat > Enterprise Linux 5 and 6 (same perl versions I think). Same tests > failing in the same way each time.
It appears to be a version comparison issue, which is strange given that I'm using version-0.99 everywhere. Attached patch changes the "expected" version formats for the affected tests and works everywhere for me.
Subject: Perl-MinimumVersion-1.29-vercmp.patch
--- t/02_main.t +++ t/02_main.t @@ -219,7 +219,7 @@ # Check $^E + $! SCOPE: { -my $v = version_is( <<'END_PERL', '5.008003', '$^E + $!' ); +my $v = version_is( <<'END_PERL', '5.008.003', '$^E + $!' ); $! + $^E; END_PERL is( $v->_bugfix_magic_errno->symbol, '$^E','->_bugfix_magic_errno returns $^E' ); @@ -274,7 +274,7 @@ END_PERL } SCOPE: { -my $v = version_is( <<'END_PERL', '5.12.0', 'use feature :5.10 along with newer feature' ); +my $v = version_is( <<'END_PERL', '5.012', 'use feature :5.10 along with newer feature' ); use feature ':5.10'; sub foo { ... }; END_PERL @@ -287,7 +287,7 @@ END_PERL } SCOPE: { -my $v = version_is( <<'END_PERL', '5.006.0', '\z along with newer feature' ); +my $v = version_is( <<'END_PERL', '5.006', '\z along with newer feature' ); m/a\z/;open A,'<','test.txt'; END_PERL } @@ -316,7 +316,7 @@ #check binmode SCOPE: { -my $v = version_is( <<'END_PERL', '5.8.0', '2-arg binmode with utf' ); +my $v = version_is( <<'END_PERL', '5.008', '2-arg binmode with utf' ); binmode($fh, ':utf'); END_PERL }
From: paul [...] city-fan.org
Download (untitled) / with headers
text/plain 1.2k
On Wed Nov 28 10:38:58 2012, paul@city-fan.org wrote: Show quoted text
> On Wed Nov 28 02:51:38 2012, paul@city-fan.org wrote:
> > On Tue Nov 27 20:02:30 2012, CHORNY wrote:
> > > On Tue Nov 27 16:48:51 2012, paul@city-fan.org wrote:
> > > > Building for a variety of perls, I find that t/02_main.t is
> failing for
> > > > me with 5.8.8 .. 5.10.1, like this:
> > >
> > > > The test is passing for me with 5.8.5, 5.8.6 and 5.12.4 onwards. I'm > > > > using "version" 0.99 in all cases.
> > > > > > I'm unable to replicate it on 5.8.9/Win32 and 5.10.1/Linux. > > > > > > Which OS do you use? Do same tests fail or different?
> > > > These are all on Fedora and Red Hat Enterprise Linux. The failures are > > happening on Fedora releases 5 (5.8.8) to 13 (5.10.1) and Red Hat > > Enterprise Linux 5 and 6 (same perl versions I think). Same tests > > failing in the same way each time.
> > It appears to be a version comparison issue, which is strange given that > I'm using version-0.99 everywhere. Attached patch changes the "expected" > version formats for the affected tests and works everywhere for me.
Thanks for including this in 1.30; I see there's a typo in the new lib/Perl/MinimumVersion/Reason.pm: $VERSION was bumped from 1.29 to 1.20 rather than 1.30.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.